Subject: bug#43558: [PATCH]: Fix (forward-comment 1) when end delimiter is escaped.

From: Stefan Monnier <[email-masked]>
Date: Wed, 23 Sep 2020 14:44:54 -0400

> It seems that as well as the existing variable
> comment-end-can-be-escaped, we need a new one, say
> line-comment-end-can-be-escaped, too.

syntax.c doesn't like to think of it as "line-comment" but rather as
comment stay a, b, c, or nested and non-nested.

> In C and C++ modes, these would
> be nil and t respectively.

I sm-c-mode, I'd handle those corner cases in
`syntax-propertize-function` (tho I think I don't bother with this one
currently).

So, I guess in CC-mode, you could handle those by placing `syntax-table`
properties from ... wherever you place them ;-)

        Stefan